Bug Hunting Session
Bug 97543 - INSERT: SVG <line> and <polygon> attributes ignored
Summary: INSERT: SVG <line> and <polygon> attributes ignored
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.0.4.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0 target:5.1.2
Keywords: filter:svg, regression
Depends on:
Blocks: SVG-Import
  Show dependency treegraph
 
Reported: 2016-02-03 21:43 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-25 19:08 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-02-03 21:43:30 UTC
Steps:
1) Open Writer
2) Insert https://dev.w3.org/SVG/tools/svgweb/samples/svg-files/displayWebStats.svg
3) Compare the output with what you can find in your browser or inkscape and that the arrows next to 'Click and drag these red and green grippies!' are missing.

The SVG code that seems to be ignored, but used to be processed in 4.3.7.2.

<g id="tut1-arrows" style="fill-opacity: 0.804; stroke-opacity: 0.804;">
  <line x1="10" y1="360" x2="40" y2="390" stroke="#000" stroke-dasharray="5,3" visibility="inherit"/>
  <line x1="390" y1="360" x2="360" y2="390" stroke="#000" stroke-dasharray="5,3" visibility="inherit"/>
  <polygon fill="black" points="10,360 20,360 10,370" visibility="inherit"/>
  <polygon fill="black" points="390,360 380,360 390,370" visibility="inherit"/>
  <animate attributeName="fill-opacity" repeatCount="indefinite" dur="3" values="0.2;0.5;1.0;0.5;0.2"/>
  <animate attributeName="stroke-opacity" repeatCount="indefinite" dur="3" values="0.2;0.5;1.0;0.5;0.2"/>
</g>

Version: 5.2.0.0.alpha0+
Build ID: 513d5c5781ec14f8512432f31290a3d54c8d57df
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-02-01_10:25:20
Locale: en-US (en_US.UTF-8)

Screenshots:
LibreOffice - attachment 122365 [details]
Opera - attachment 122366 [details]
Comment 1 raal 2016-02-04 08:47:02 UTC
I can confirm with Version: 5.2.0.0.alpha0+
Comment 2 Xisco Faulí 2016-02-04 14:30:19 UTC
Problem looks to come from visibility:inherit. I'll take a look
Comment 3 Commit Notification 2016-02-07 06:59:10 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=842313c23ec96aeb99b68f28e7d48cc9e263a0a8

tdf#97543 SVGIO: Rework getVisibility()

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Yousuf Philips (jay) (retired) 2016-02-08 12:15:15 UTC
Verified. Please backport to 5.1. :D

Version: 5.2.0.0.alpha0+
Build ID: 6d68e88a0fc5a54bbb826379163bd0b9c6eae0fb
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-02-08_08:05:38
Locale: en-US (en_US.UTF-8)
Comment 5 Commit Notification 2016-02-11 23:34:16 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0ab6332f97ec8b12d96f43834febea21e0b39f6a

SVGIO: tdf#97543: Add import test

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-03-15 15:58:38 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a27ba3413a6ee46451041ccdfefb4f75913adf01&h=libreoffice-5-1

tdf#97543 SVGIO: Rework getVisibility()

It will be available in 5.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.